% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{r_mig_interannual_vichy}
\alias{r_mig_interannual_vichy}
\title{Seasonality of salmon migration at the Vichy counting station (Loire)}
\format{
An object of class \link{report_mig_interannual-class} with 7 slots:
\describe{
  \item{dc}{the \code{ref_dc} object with 4 slots filled with data corresponding to the iav postgres schema}
  \item{taxa}{the \code{ref_taxa} the taxa selected}
  \item{stage}{the \code{ref_stage} the stage selected}
  \item{start_year}{the \code{ref_timestep_daily} calculated for all 2015}
  \item{end_year}{the \code{ref_timestep_daily} calculated for all 2015}
  \item{data}{ A dataframe with 7138 rows and 10 variables
  \describe{
    \item{bjo_identifiant}{sample id}
    \item{bjo_dis_identifiant}{dc id}
    \item{bjo_tax_code}{species id}
    \item{bjo_std_code}{stage id}
    \item{bjo_annee}{year}
    \item{bjo_jour}{date}
    \item{bjo_labelquantite}{method of data collection, measured, calculated...}
    \item{bjo_horodateexport}{date with special format for export}
    \item{bjo_org_code}{organisme provided the data}
    }
  }
}
}
\usage{
r_mig_interannual_vichy
}
\description{
This data corresponds to the data collected at the Vichy fishway
between 1997 and 2012, video recording of the Salmo salar upstream migration.
This dataset has been kindly provided by Loire Grands Migrateurs.
}
\keyword{data}
